Skip to main content
GET
/
v1
/
runs
Search runs
curl --request GET \
  --url https://api.runflow.io/v1/runs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_type": "<string>",
      "target_version": "<string>",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status_code": "<string>",
      "source_code": "<string>",
      "input": {},
      "output": {},
      "context": {},
      "duration_ms": 123,
      "cost": "<string>",
      "nodes_total": 123,
      "nodes_completed": 123,
      "jurisdiction_code": "<string>",
      "flow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "request_id": "<string>",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "callback_url": "<string>",
      "metadata": {},
      "has_logs": true,
      "has_node_runs": true,
      "links": {},
      "node_runs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "state_code": "<string>",
          "input": {},
          "output": {},
          "input_signature": "<string>",
          "preview_type": "<string>",
          "preview_value": "<string>",
          "duration_ms": 123,
          "cost": "<string>",
          "retry_count": 123,
          "error_message": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "started_at": "2023-11-07T05:31:56Z",
          "completed_at": "2023-11-07T05:31:56Z"
        }
      ],
      "logs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "level_code": "<string>",
          "message": "<string>",
          "timestamp": "2023-11-07T05:31:56Z",
          "meta": {},
          "run": null
        }
      ],
      "flow": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "slug": "<string>",
        "name": "<string>",
        "description": "<string>",
        "cover_url": "<string>",
        "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "flow_type_code": "<string>",
        "category_code": "<string>",
        "visibility_code": "<string>",
        "source_visibility_code": "<string>",
        "status_code": "<string>",
        "version": 123,
        "current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "estimated_cost": "<string>",
        "context_variables": {},
        "run_count": 123,
        "avg_duration": "<string>",
        "cost_per_run": "<string>",
        "featured_at": "2023-11-07T05:31:56Z",
        "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "nodes": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "slug": "<string>",
            "label": "<string>",
            "subtitle": "<string>",
            "type_code": "<string>",
            "x": 123,
            "y": 123,
            "width": 123,
            "config": {},
            "collapsed": true,
            "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "builtin_node_code": "<string>",
            "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "sub_flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z",
            "flow": null,
            "inputs": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "flow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "name": "<string>",
                "display_name": "<string>",
                "variable_type_code": "<string>",
                "validator_code": "<string>",
                "validator_attrs": {},
                "is_required": true,
                "default_value": {},
                "sort_order": 123,
                "behavior_code": "<string>",
                "value": {},
                "source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "connection_label": "<string>",
                "connection_style_code": "<string>",
                "retry_source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "created_at": "2023-11-07T05:31:56Z",
                "updated_at": "2023-11-07T05:31:56Z"
              }
            ],
            "outputs": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "flow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "name": "<string>",
                "display_name": "<string>",
                "variable_type_code": "<string>",
                "validator_code": "<string>",
                "validator_attrs": {},
                "sort_order": 123,
                "created_at": "2023-11-07T05:31:56Z",
                "updated_at": "2023-11-07T05:31:56Z"
              }
            ]
          }
        ],
        "inputs": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "display_name": "<string>",
            "description": "<string>",
            "variable_type_code": "<string>",
            "validator_code": "<string>",
            "validator_attrs": {},
            "is_required": true,
            "default_value": {},
            "sort_order": 123,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "outputs": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "display_name": "<string>",
            "description": "<string>",
            "variable_type_code": "<string>",
            "validator_code": "<string>",
            "validator_attrs": {},
            "sort_order": 123,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "created_by_user": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "<string>",
          "first_name": "<string>",
          "last_name": "<string>",
          "avatar_url": "<string>"
        },
        "recent_stars": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "created_at": "2023-11-07T05:31:56Z"
          }
        ]
      },
      "model": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "model_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "slug": "<string>",
        "name": "<string>",
        "description": "<string>",
        "version": "<string>",
        "is_public": true,
        "is_open_source": true,
        "icon_url": "<string>",
        "cover_url": "<string>",
        "category_code": "<string>",
        "status_code": "<string>",
        "family_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "family_variant_code": "<string>",
        "param_count": "<string>",
        "architecture": "<string>",
        "license_code": "<string>",
        "max_resolution": "<string>",
        "lora_support": true,
        "fine_tuning": true,
        "supports_streaming": true,
        "paper_url": "<string>",
        "github_url": "<string>",
        "is_official": true,
        "availability_status": "<string>",
        "seo": {},
        "notable_features": [
          "<unknown>"
        ],
        "content": "<string>",
        "pricing_note": "<string>",
        "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z",
        "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "inputs": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "display_name": "<string>",
            "description": "<string>",
            "variable_type_code": "<string>",
            "default_behavior_code": "<string>",
            "validator_code": "<string>",
            "validator_attrs": {},
            "is_required": true,
            "default_value": {},
            "sort_order": 123,
            "is_featured": true,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "outputs": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "display_name": "<string>",
            "description": "<string>",
            "variable_type_code": "<string>",
            "validator_code": "<string>",
            "validator_attrs": {},
            "sort_order": 123,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "examples": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "title": "<string>",
            "description": "<string>",
            "input": {},
            "output": {},
            "status_code": 123,
            "cost": "<string>",
            "start_type": "<string>",
            "timing": {},
            "duration_ms": 123,
            "total_ms": 123,
            "thumbnail_url": "<string>",
            "category_code": "<string>",
            "is_featured": true,
            "is_public": true,
            "sort_order": 123,
            "ran_at": "2023-11-07T05:31:56Z",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "faq_entries": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "question": "<string>",
            "answer": "<string>",
            "sort_order": 123,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "pricing": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "pricing_model_code": "<string>",
            "rule_effect_code": "<string>",
            "model_input_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "match_value": null,
            "dimension_code": "<string>",
            "min_value": "<string>",
            "max_value": "<string>",
            "price": "<string>",
            "currency_code": "<string>",
            "unit_code": "<string>",
            "multiplier_label": "<string>",
            "description": "<string>",
            "sort_order": 123,
            "disabled_at": "2023-11-07T05:31:56Z",
            "measurement_source": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "related_links": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "related_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "sort_order": 123,
            "created_at": "2023-11-07T05:31:56Z"
          }
        ]
      }
    }
  ],
  "first": "<string>",
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Query Parameters

q
string | null

ANTLR filter expression

limit
integer | null

Page size

Required range: 1 <= x <= 500
sort_by
string | null

Sort expression (e.g. created_at:desc)

fields
string | null

Field projection (e.g. id,name)

embed
string | null

Relation embedding. Available values: flow, logs, model, node_runs. Use a comma-separated list to request multiple embeds. Protected: flow requires flows:read; model requires models:read.

pq
string | null

Pagination cursor query

from_prev
boolean
default:false

Backward pagination flag

Response

Paginated run list.

Paginated list response.

items
FullValidator · object[]
required
first
string | null
next
string | null
previous
string | null